### Method

# ECal Component clone

since: 3.34

#### Declaration [src]

    ECalComponent*
    e_cal_component_clone (
      ECalComponent* comp
    )

#### Description [src]

Creates a new calendar component object by copying the information from another one.

Available since: 3.34

#### Return value

Type: `ECalComponent`

A newly-created calendar component with the same values as the original one.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.